Subject: Re: Support for Sawtooth (New G4) Motherboards

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 18 Oct 1999 20:00:44 +0200

On Mon, Oct 18, 1999, Geert Uytterhoeven <[email-masked]> wrote:

>> Finally, there is the sound, which is on an i2s bus. I don't know how
>> such a bus looks like, and so I don't know if I'll be able to make a
>> driver for this one, at least not immediately.
>
>i2s? Not i2c?

Yes, I2S. There's also a couple of I2C busses (one in the northbridge,
probably for the SDRAM config, the other one in the mac-io chip). 

This part of the device tree looks like that:

pci/mac-io
    ...
    /i2c
        /i2c-cereal
    /i2s
        /i2s-a
            /sound
        /i2s-b
    ...

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/